package com.prolog.eis.dto.strategy;

public class AreaInfoDto {

    private String areaNo;

    private Integer taskNum;

    private Integer emptyStoreNum;

    private Integer goodsNum;

    public String getAreaNo() {
        return areaNo;
    }

    public void setAreaNo(String areaNo) {
        this.areaNo = areaNo;
    }

    public Integer getTaskNum() {
        return taskNum;
    }

    public void setTaskNum(Integer taskNum) {
        this.taskNum = taskNum;
    }

    public Integer getEmptyStoreNum() {
        return emptyStoreNum;
    }

    public void setEmptyStoreNum(Integer emptyStoreNum) {
        this.emptyStoreNum = emptyStoreNum;
    }

    public Integer getGoodsNum() {
        return goodsNum;
    }

    public void setGoodsNum(Integer goodsNum) {
        this.goodsNum = goodsNum;
    }

    public AreaInfoDto() {
    }

    public AreaInfoDto(String areaNo, Integer taskNum, Integer emptyStoreNum, Integer goodsNum) {
        this.areaNo = areaNo;
        this.taskNum = taskNum;
        this.emptyStoreNum = emptyStoreNum;
        this.goodsNum = goodsNum;
    }

    @Override
    public String toString() {
        return "AreaInfoDto{" +
                "areaNo='" + areaNo + '\'' +
                ", taskNum=" + taskNum +
                ", emptyStoreNum=" + emptyStoreNum +
                ", goodsNum=" + goodsNum +
                '}';
    }
}
